Rated 3 out of 5 stars

It looks like this addon does not work with FF3.6 even after bumping up the version! Did any of you try this with 3.6?
Somehow, neither Distrust nor Stealther seems to work with 3.6!!
I think the "Close n forget" addon comes closer... but still needs more features